package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireAccidentDesc;

import java.util.List;

/**
 * <p>
 * 火灾事故说明总表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
public interface DemFireAccidentDescService extends CrudService<DemFireAccidentDesc> {

    CommonPage<DemFireAccidentDesc> fireAccidentExplainList(String companyCode, String startDate, String endDate, Integer pageNum, Integer pageSize);

    List<DemFireAccidentDesc> fireAccidentStatistic(String companyCode, String startDate, String endDate);

    List<DemFireAccidentDesc> fireAccidentSimpleConList(String companyCode, String startDate, String endDate);

    List<DemFireAccidentDesc> fireAccidentConList(String companyCode, String startDate, String endDate);
}
